HUGO-CONVERT(1)

NAME

hugo-convert - Convert your content to different formats

SYNOPSIS

hugo convert [flags]

DESCRIPTION

Convert your content (e.g. front matter) to different formats.

See convert's subcommands toJSON, toTOML and toYAML for more information.

OPTIONS

-h, --help[=false]
    help for convert

-o, --output=""
    filesystem path to write files to

-s, --source=""
    filesystem path to read files relative from

--unsafe[=false]
    enable less safe operations, please backup first

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo(1), hugo-convert-toJSON(1), hugo-convert-toTOML(1), hugo-convert-toYAML(1)